Uploaded image for project: 'Camel'
  1. Camel
  2. CAMEL-14262

camel-jetty - Upgrade to 9.4.24+ requires api change

    XMLWordPrintableJSON

    Details

    • Type: Test
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 3.x
    • Component/s: camel-jetty
    • Labels:
      None
    • Estimated Complexity:
      Unknown

      Description

      — a/components/camel-jetty-common/src/main/java/org/apache/camel/component/jetty/JettyHttpComponent.java
      +++ b/components/camel-jetty-common/src/main/java/org/apache/camel/component/jetty/JettyHttpComponent.java
      @@ -35,6 +35,7 @@ import javax.management.MBeanServer;
      import javax.servlet.Filter;
      import javax.servlet.MultipartConfigElement;
      import javax.servlet.RequestDispatcher;
      +import javax.servlet.ServletException;
      import javax.servlet.http.HttpServletRequest;
      import javax.servlet.http.HttpServletResponse;

      @@ -1249,7 +1250,7 @@ public abstract class JettyHttpComponent extends HttpCommonComponent implements
      ErrorHandler eh = new ErrorHandler() {
      public void handle(String target, Request baseRequest,
      HttpServletRequest request, HttpServletResponse response)

      • throws IOException {
        + throws IOException, ServletException {
        String msg = HttpStatus.getMessage(response.getStatus());
        request.setAttribute(RequestDispatcher.ERROR_MESSAGE, msg);
        super.handle(target, baseRequest, request, response);
        diff --git a/parent/pom.xml b/parent/pom.xml
        index 5d8fd3a69bc..fce6df9b60e 100644
          • a/parent/pom.xml
            +++ b/parent/pom.xml
            @@ -347,7 +347,7 @@
            <jedis-client-version>2.9.0</jedis-client-version>
            <jedis-client-bundle-version>2.9.0_1</jedis-client-bundle-version>
            <jersey-version>2.28</jersey-version>
      • <jetty9-version>9.4.20.v20190813</jetty9-version>
        + <jetty9-version>9.4.24.v20191120</jetty9-version>
        <jetty-version>${jetty9-version}</jetty-version>
        <jetty-plugin-version>${jetty-version}</jetty-plugin-version>
        <jetty-runner-groupId>org.eclipse.jetty</jetty-runner-groupId>

        Attachments

          Activity

            People

            • Assignee:
              ramu11 Ramu
              Reporter:
              davsclaus Claus Ibsen
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: